package jp.sourceforge.shovel.form;

import jp.sourceforge.shovel.FormatType;
import jp.sourceforge.shovel.MethodType;
import jp.sourceforge.shovel.ViewType;

public interface IDirectMessagesForm {
    int getCount();
    void setCount(int count);
    String getRecipient();
    void setRecipient(String recipient);
    String getFormat();
    void setFormat(String format);
    FormatType getFormatType();
    void setFormatType(FormatType formatType);
    String getMethod();
    void setMethod(String method);
    MethodType getMethodType();
    void setMethodType(MethodType methodType);
    boolean isPartial();
    void setPartial(boolean partial);
    int getPage();
    void setPage(int page);
    String getView();
    void setView(String view);
    ViewType getViewType();
    void setViewType(ViewType viewType);
    String getSent();
    boolean isReceive();
    void setSent(String sent);
}
